Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network191.64.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
191.64.0.0
Broadcast address
191.71.255.255
First usable
191.64.0.1
Last usable
191.71.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex BF400000 · Integer 3208642560 to 3209166847
Reverse DNS zones
64.191.in-addr.arpa
65.191.in-addr.arpa
66.191.in-addr.arpa
67.191.in-addr.arpa
68.191.in-addr.arpa
69.191.in-addr.arpa
70.191.in-addr.arpa
71.191.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111111.01000000.00000000.00000000191.64.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10111111.01000000.00000000.00000000191.64.0.0
Broadcast10111111.01000111.11111111.11111111191.71.255.255
Split into smaller subnets/22

191.64.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1191.64.0.0/22191.64.0.1 to 191.64.3.254191.64.3.2551,022
2191.64.4.0/22191.64.4.1 to 191.64.7.254191.64.7.2551,022
3191.64.8.0/22191.64.8.1 to 191.64.11.254191.64.11.2551,022
4191.64.12.0/22191.64.12.1 to 191.64.15.254191.64.15.2551,022
5191.64.16.0/22191.64.16.1 to 191.64.19.254191.64.19.2551,022
6191.64.20.0/22191.64.20.1 to 191.64.23.254191.64.23.2551,022
7191.64.24.0/22191.64.24.1 to 191.64.27.254191.64.27.2551,022
8191.64.28.0/22191.64.28.1 to 191.64.31.254191.64.31.2551,022
9191.64.32.0/22191.64.32.1 to 191.64.35.254191.64.35.2551,022
10191.64.36.0/22191.64.36.1 to 191.64.39.254191.64.39.2551,022
11191.64.40.0/22191.64.40.1 to 191.64.43.254191.64.43.2551,022
12191.64.44.0/22191.64.44.1 to 191.64.47.254191.64.47.2551,022
13191.64.48.0/22191.64.48.1 to 191.64.51.254191.64.51.2551,022
14191.64.52.0/22191.64.52.1 to 191.64.55.254191.64.55.2551,022
15191.64.56.0/22191.64.56.1 to 191.64.59.254191.64.59.2551,022
16191.64.60.0/22191.64.60.1 to 191.64.63.254191.64.63.2551,022
17191.64.64.0/22191.64.64.1 to 191.64.67.254191.64.67.2551,022
18191.64.68.0/22191.64.68.1 to 191.64.71.254191.64.71.2551,022
19191.64.72.0/22191.64.72.1 to 191.64.75.254191.64.75.2551,022
20191.64.76.0/22191.64.76.1 to 191.64.79.254191.64.79.2551,022
21191.64.80.0/22191.64.80.1 to 191.64.83.254191.64.83.2551,022
22191.64.84.0/22191.64.84.1 to 191.64.87.254191.64.87.2551,022
23191.64.88.0/22191.64.88.1 to 191.64.91.254191.64.91.2551,022
24191.64.92.0/22191.64.92.1 to 191.64.95.254191.64.95.2551,022
25191.64.96.0/22191.64.96.1 to 191.64.99.254191.64.99.2551,022
26191.64.100.0/22191.64.100.1 to 191.64.103.254191.64.103.2551,022
27191.64.104.0/22191.64.104.1 to 191.64.107.254191.64.107.2551,022
28191.64.108.0/22191.64.108.1 to 191.64.111.254191.64.111.2551,022
29191.64.112.0/22191.64.112.1 to 191.64.115.254191.64.115.2551,022
30191.64.116.0/22191.64.116.1 to 191.64.119.254191.64.119.2551,022
31191.64.120.0/22191.64.120.1 to 191.64.123.254191.64.123.2551,022
32191.64.124.0/22191.64.124.1 to 191.64.127.254191.64.127.2551,022
33191.64.128.0/22191.64.128.1 to 191.64.131.254191.64.131.2551,022
34191.64.132.0/22191.64.132.1 to 191.64.135.254191.64.135.2551,022
35191.64.136.0/22191.64.136.1 to 191.64.139.254191.64.139.2551,022
36191.64.140.0/22191.64.140.1 to 191.64.143.254191.64.143.2551,022
37191.64.144.0/22191.64.144.1 to 191.64.147.254191.64.147.2551,022
38191.64.148.0/22191.64.148.1 to 191.64.151.254191.64.151.2551,022
39191.64.152.0/22191.64.152.1 to 191.64.155.254191.64.155.2551,022
40191.64.156.0/22191.64.156.1 to 191.64.159.254191.64.159.2551,022
41191.64.160.0/22191.64.160.1 to 191.64.163.254191.64.163.2551,022
42191.64.164.0/22191.64.164.1 to 191.64.167.254191.64.167.2551,022
43191.64.168.0/22191.64.168.1 to 191.64.171.254191.64.171.2551,022
44191.64.172.0/22191.64.172.1 to 191.64.175.254191.64.175.2551,022
45191.64.176.0/22191.64.176.1 to 191.64.179.254191.64.179.2551,022
46191.64.180.0/22191.64.180.1 to 191.64.183.254191.64.183.2551,022
47191.64.184.0/22191.64.184.1 to 191.64.187.254191.64.187.2551,022
48191.64.188.0/22191.64.188.1 to 191.64.191.254191.64.191.2551,022
49191.64.192.0/22191.64.192.1 to 191.64.195.254191.64.195.2551,022
50191.64.196.0/22191.64.196.1 to 191.64.199.254191.64.199.2551,022
51191.64.200.0/22191.64.200.1 to 191.64.203.254191.64.203.2551,022
52191.64.204.0/22191.64.204.1 to 191.64.207.254191.64.207.2551,022
53191.64.208.0/22191.64.208.1 to 191.64.211.254191.64.211.2551,022
54191.64.212.0/22191.64.212.1 to 191.64.215.254191.64.215.2551,022
55191.64.216.0/22191.64.216.1 to 191.64.219.254191.64.219.2551,022
56191.64.220.0/22191.64.220.1 to 191.64.223.254191.64.223.2551,022
57191.64.224.0/22191.64.224.1 to 191.64.227.254191.64.227.2551,022
58191.64.228.0/22191.64.228.1 to 191.64.231.254191.64.231.2551,022
59191.64.232.0/22191.64.232.1 to 191.64.235.254191.64.235.2551,022
60191.64.236.0/22191.64.236.1 to 191.64.239.254191.64.239.2551,022
61191.64.240.0/22191.64.240.1 to 191.64.243.254191.64.243.2551,022
62191.64.244.0/22191.64.244.1 to 191.64.247.254191.64.247.2551,022
63191.64.248.0/22191.64.248.1 to 191.64.251.254191.64.251.2551,022
64191.64.252.0/22191.64.252.1 to 191.64.255.254191.64.255.2551,022
65191.65.0.0/22191.65.0.1 to 191.65.3.254191.65.3.2551,022
66191.65.4.0/22191.65.4.1 to 191.65.7.254191.65.7.2551,022
67191.65.8.0/22191.65.8.1 to 191.65.11.254191.65.11.2551,022
68191.65.12.0/22191.65.12.1 to 191.65.15.254191.65.15.2551,022
69191.65.16.0/22191.65.16.1 to 191.65.19.254191.65.19.2551,022
70191.65.20.0/22191.65.20.1 to 191.65.23.254191.65.23.2551,022
71191.65.24.0/22191.65.24.1 to 191.65.27.254191.65.27.2551,022
72191.65.28.0/22191.65.28.1 to 191.65.31.254191.65.31.2551,022
73191.65.32.0/22191.65.32.1 to 191.65.35.254191.65.35.2551,022
74191.65.36.0/22191.65.36.1 to 191.65.39.254191.65.39.2551,022
75191.65.40.0/22191.65.40.1 to 191.65.43.254191.65.43.2551,022
76191.65.44.0/22191.65.44.1 to 191.65.47.254191.65.47.2551,022
77191.65.48.0/22191.65.48.1 to 191.65.51.254191.65.51.2551,022
78191.65.52.0/22191.65.52.1 to 191.65.55.254191.65.55.2551,022
79191.65.56.0/22191.65.56.1 to 191.65.59.254191.65.59.2551,022
80191.65.60.0/22191.65.60.1 to 191.65.63.254191.65.63.2551,022
81191.65.64.0/22191.65.64.1 to 191.65.67.254191.65.67.2551,022
82191.65.68.0/22191.65.68.1 to 191.65.71.254191.65.71.2551,022
83191.65.72.0/22191.65.72.1 to 191.65.75.254191.65.75.2551,022
84191.65.76.0/22191.65.76.1 to 191.65.79.254191.65.79.2551,022
85191.65.80.0/22191.65.80.1 to 191.65.83.254191.65.83.2551,022
86191.65.84.0/22191.65.84.1 to 191.65.87.254191.65.87.2551,022
87191.65.88.0/22191.65.88.1 to 191.65.91.254191.65.91.2551,022
88191.65.92.0/22191.65.92.1 to 191.65.95.254191.65.95.2551,022
89191.65.96.0/22191.65.96.1 to 191.65.99.254191.65.99.2551,022
90191.65.100.0/22191.65.100.1 to 191.65.103.254191.65.103.2551,022
91191.65.104.0/22191.65.104.1 to 191.65.107.254191.65.107.2551,022
92191.65.108.0/22191.65.108.1 to 191.65.111.254191.65.111.2551,022
93191.65.112.0/22191.65.112.1 to 191.65.115.254191.65.115.2551,022
94191.65.116.0/22191.65.116.1 to 191.65.119.254191.65.119.2551,022
95191.65.120.0/22191.65.120.1 to 191.65.123.254191.65.123.2551,022
96191.65.124.0/22191.65.124.1 to 191.65.127.254191.65.127.2551,022
97191.65.128.0/22191.65.128.1 to 191.65.131.254191.65.131.2551,022
98191.65.132.0/22191.65.132.1 to 191.65.135.254191.65.135.2551,022
99191.65.136.0/22191.65.136.1 to 191.65.139.254191.65.139.2551,022
100191.65.140.0/22191.65.140.1 to 191.65.143.254191.65.143.2551,022
101191.65.144.0/22191.65.144.1 to 191.65.147.254191.65.147.2551,022
102191.65.148.0/22191.65.148.1 to 191.65.151.254191.65.151.2551,022
103191.65.152.0/22191.65.152.1 to 191.65.155.254191.65.155.2551,022
104191.65.156.0/22191.65.156.1 to 191.65.159.254191.65.159.2551,022
105191.65.160.0/22191.65.160.1 to 191.65.163.254191.65.163.2551,022
106191.65.164.0/22191.65.164.1 to 191.65.167.254191.65.167.2551,022
107191.65.168.0/22191.65.168.1 to 191.65.171.254191.65.171.2551,022
108191.65.172.0/22191.65.172.1 to 191.65.175.254191.65.175.2551,022
109191.65.176.0/22191.65.176.1 to 191.65.179.254191.65.179.2551,022
110191.65.180.0/22191.65.180.1 to 191.65.183.254191.65.183.2551,022
111191.65.184.0/22191.65.184.1 to 191.65.187.254191.65.187.2551,022
112191.65.188.0/22191.65.188.1 to 191.65.191.254191.65.191.2551,022
113191.65.192.0/22191.65.192.1 to 191.65.195.254191.65.195.2551,022
114191.65.196.0/22191.65.196.1 to 191.65.199.254191.65.199.2551,022
115191.65.200.0/22191.65.200.1 to 191.65.203.254191.65.203.2551,022
116191.65.204.0/22191.65.204.1 to 191.65.207.254191.65.207.2551,022
117191.65.208.0/22191.65.208.1 to 191.65.211.254191.65.211.2551,022
118191.65.212.0/22191.65.212.1 to 191.65.215.254191.65.215.2551,022
119191.65.216.0/22191.65.216.1 to 191.65.219.254191.65.219.2551,022
120191.65.220.0/22191.65.220.1 to 191.65.223.254191.65.223.2551,022
121191.65.224.0/22191.65.224.1 to 191.65.227.254191.65.227.2551,022
122191.65.228.0/22191.65.228.1 to 191.65.231.254191.65.231.2551,022
123191.65.232.0/22191.65.232.1 to 191.65.235.254191.65.235.2551,022
124191.65.236.0/22191.65.236.1 to 191.65.239.254191.65.239.2551,022
125191.65.240.0/22191.65.240.1 to 191.65.243.254191.65.243.2551,022
126191.65.244.0/22191.65.244.1 to 191.65.247.254191.65.247.2551,022
127191.65.248.0/22191.65.248.1 to 191.65.251.254191.65.251.2551,022
128191.65.252.0/22191.65.252.1 to 191.65.255.254191.65.255.2551,022
129191.66.0.0/22191.66.0.1 to 191.66.3.254191.66.3.2551,022
130191.66.4.0/22191.66.4.1 to 191.66.7.254191.66.7.2551,022
131191.66.8.0/22191.66.8.1 to 191.66.11.254191.66.11.2551,022
132191.66.12.0/22191.66.12.1 to 191.66.15.254191.66.15.2551,022
133191.66.16.0/22191.66.16.1 to 191.66.19.254191.66.19.2551,022
134191.66.20.0/22191.66.20.1 to 191.66.23.254191.66.23.2551,022
135191.66.24.0/22191.66.24.1 to 191.66.27.254191.66.27.2551,022
136191.66.28.0/22191.66.28.1 to 191.66.31.254191.66.31.2551,022
137191.66.32.0/22191.66.32.1 to 191.66.35.254191.66.35.2551,022
138191.66.36.0/22191.66.36.1 to 191.66.39.254191.66.39.2551,022
139191.66.40.0/22191.66.40.1 to 191.66.43.254191.66.43.2551,022
140191.66.44.0/22191.66.44.1 to 191.66.47.254191.66.47.2551,022
141191.66.48.0/22191.66.48.1 to 191.66.51.254191.66.51.2551,022
142191.66.52.0/22191.66.52.1 to 191.66.55.254191.66.55.2551,022
143191.66.56.0/22191.66.56.1 to 191.66.59.254191.66.59.2551,022
144191.66.60.0/22191.66.60.1 to 191.66.63.254191.66.63.2551,022
145191.66.64.0/22191.66.64.1 to 191.66.67.254191.66.67.2551,022
146191.66.68.0/22191.66.68.1 to 191.66.71.254191.66.71.2551,022
147191.66.72.0/22191.66.72.1 to 191.66.75.254191.66.75.2551,022
148191.66.76.0/22191.66.76.1 to 191.66.79.254191.66.79.2551,022
149191.66.80.0/22191.66.80.1 to 191.66.83.254191.66.83.2551,022
150191.66.84.0/22191.66.84.1 to 191.66.87.254191.66.87.2551,022
151191.66.88.0/22191.66.88.1 to 191.66.91.254191.66.91.2551,022
152191.66.92.0/22191.66.92.1 to 191.66.95.254191.66.95.2551,022
153191.66.96.0/22191.66.96.1 to 191.66.99.254191.66.99.2551,022
154191.66.100.0/22191.66.100.1 to 191.66.103.254191.66.103.2551,022
155191.66.104.0/22191.66.104.1 to 191.66.107.254191.66.107.2551,022
156191.66.108.0/22191.66.108.1 to 191.66.111.254191.66.111.2551,022
157191.66.112.0/22191.66.112.1 to 191.66.115.254191.66.115.2551,022
158191.66.116.0/22191.66.116.1 to 191.66.119.254191.66.119.2551,022
159191.66.120.0/22191.66.120.1 to 191.66.123.254191.66.123.2551,022
160191.66.124.0/22191.66.124.1 to 191.66.127.254191.66.127.2551,022
161191.66.128.0/22191.66.128.1 to 191.66.131.254191.66.131.2551,022
162191.66.132.0/22191.66.132.1 to 191.66.135.254191.66.135.2551,022
163191.66.136.0/22191.66.136.1 to 191.66.139.254191.66.139.2551,022
164191.66.140.0/22191.66.140.1 to 191.66.143.254191.66.143.2551,022
165191.66.144.0/22191.66.144.1 to 191.66.147.254191.66.147.2551,022
166191.66.148.0/22191.66.148.1 to 191.66.151.254191.66.151.2551,022
167191.66.152.0/22191.66.152.1 to 191.66.155.254191.66.155.2551,022
168191.66.156.0/22191.66.156.1 to 191.66.159.254191.66.159.2551,022
169191.66.160.0/22191.66.160.1 to 191.66.163.254191.66.163.2551,022
170191.66.164.0/22191.66.164.1 to 191.66.167.254191.66.167.2551,022
171191.66.168.0/22191.66.168.1 to 191.66.171.254191.66.171.2551,022
172191.66.172.0/22191.66.172.1 to 191.66.175.254191.66.175.2551,022
173191.66.176.0/22191.66.176.1 to 191.66.179.254191.66.179.2551,022
174191.66.180.0/22191.66.180.1 to 191.66.183.254191.66.183.2551,022
175191.66.184.0/22191.66.184.1 to 191.66.187.254191.66.187.2551,022
176191.66.188.0/22191.66.188.1 to 191.66.191.254191.66.191.2551,022
177191.66.192.0/22191.66.192.1 to 191.66.195.254191.66.195.2551,022
178191.66.196.0/22191.66.196.1 to 191.66.199.254191.66.199.2551,022
179191.66.200.0/22191.66.200.1 to 191.66.203.254191.66.203.2551,022
180191.66.204.0/22191.66.204.1 to 191.66.207.254191.66.207.2551,022
181191.66.208.0/22191.66.208.1 to 191.66.211.254191.66.211.2551,022
182191.66.212.0/22191.66.212.1 to 191.66.215.254191.66.215.2551,022
183191.66.216.0/22191.66.216.1 to 191.66.219.254191.66.219.2551,022
184191.66.220.0/22191.66.220.1 to 191.66.223.254191.66.223.2551,022
185191.66.224.0/22191.66.224.1 to 191.66.227.254191.66.227.2551,022
186191.66.228.0/22191.66.228.1 to 191.66.231.254191.66.231.2551,022
187191.66.232.0/22191.66.232.1 to 191.66.235.254191.66.235.2551,022
188191.66.236.0/22191.66.236.1 to 191.66.239.254191.66.239.2551,022
189191.66.240.0/22191.66.240.1 to 191.66.243.254191.66.243.2551,022
190191.66.244.0/22191.66.244.1 to 191.66.247.254191.66.247.2551,022
191191.66.248.0/22191.66.248.1 to 191.66.251.254191.66.251.2551,022
192191.66.252.0/22191.66.252.1 to 191.66.255.254191.66.255.2551,022
193191.67.0.0/22191.67.0.1 to 191.67.3.254191.67.3.2551,022
194191.67.4.0/22191.67.4.1 to 191.67.7.254191.67.7.2551,022
195191.67.8.0/22191.67.8.1 to 191.67.11.254191.67.11.2551,022
196191.67.12.0/22191.67.12.1 to 191.67.15.254191.67.15.2551,022
197191.67.16.0/22191.67.16.1 to 191.67.19.254191.67.19.2551,022
198191.67.20.0/22191.67.20.1 to 191.67.23.254191.67.23.2551,022
199191.67.24.0/22191.67.24.1 to 191.67.27.254191.67.27.2551,022
200191.67.28.0/22191.67.28.1 to 191.67.31.254191.67.31.2551,022
201191.67.32.0/22191.67.32.1 to 191.67.35.254191.67.35.2551,022
202191.67.36.0/22191.67.36.1 to 191.67.39.254191.67.39.2551,022
203191.67.40.0/22191.67.40.1 to 191.67.43.254191.67.43.2551,022
204191.67.44.0/22191.67.44.1 to 191.67.47.254191.67.47.2551,022
205191.67.48.0/22191.67.48.1 to 191.67.51.254191.67.51.2551,022
206191.67.52.0/22191.67.52.1 to 191.67.55.254191.67.55.2551,022
207191.67.56.0/22191.67.56.1 to 191.67.59.254191.67.59.2551,022
208191.67.60.0/22191.67.60.1 to 191.67.63.254191.67.63.2551,022
209191.67.64.0/22191.67.64.1 to 191.67.67.254191.67.67.2551,022
210191.67.68.0/22191.67.68.1 to 191.67.71.254191.67.71.2551,022
211191.67.72.0/22191.67.72.1 to 191.67.75.254191.67.75.2551,022
212191.67.76.0/22191.67.76.1 to 191.67.79.254191.67.79.2551,022
213191.67.80.0/22191.67.80.1 to 191.67.83.254191.67.83.2551,022
214191.67.84.0/22191.67.84.1 to 191.67.87.254191.67.87.2551,022
215191.67.88.0/22191.67.88.1 to 191.67.91.254191.67.91.2551,022
216191.67.92.0/22191.67.92.1 to 191.67.95.254191.67.95.2551,022
217191.67.96.0/22191.67.96.1 to 191.67.99.254191.67.99.2551,022
218191.67.100.0/22191.67.100.1 to 191.67.103.254191.67.103.2551,022
219191.67.104.0/22191.67.104.1 to 191.67.107.254191.67.107.2551,022
220191.67.108.0/22191.67.108.1 to 191.67.111.254191.67.111.2551,022
221191.67.112.0/22191.67.112.1 to 191.67.115.254191.67.115.2551,022
222191.67.116.0/22191.67.116.1 to 191.67.119.254191.67.119.2551,022
223191.67.120.0/22191.67.120.1 to 191.67.123.254191.67.123.2551,022
224191.67.124.0/22191.67.124.1 to 191.67.127.254191.67.127.2551,022
225191.67.128.0/22191.67.128.1 to 191.67.131.254191.67.131.2551,022
226191.67.132.0/22191.67.132.1 to 191.67.135.254191.67.135.2551,022
227191.67.136.0/22191.67.136.1 to 191.67.139.254191.67.139.2551,022
228191.67.140.0/22191.67.140.1 to 191.67.143.254191.67.143.2551,022
229191.67.144.0/22191.67.144.1 to 191.67.147.254191.67.147.2551,022
230191.67.148.0/22191.67.148.1 to 191.67.151.254191.67.151.2551,022
231191.67.152.0/22191.67.152.1 to 191.67.155.254191.67.155.2551,022
232191.67.156.0/22191.67.156.1 to 191.67.159.254191.67.159.2551,022
233191.67.160.0/22191.67.160.1 to 191.67.163.254191.67.163.2551,022
234191.67.164.0/22191.67.164.1 to 191.67.167.254191.67.167.2551,022
235191.67.168.0/22191.67.168.1 to 191.67.171.254191.67.171.2551,022
236191.67.172.0/22191.67.172.1 to 191.67.175.254191.67.175.2551,022
237191.67.176.0/22191.67.176.1 to 191.67.179.254191.67.179.2551,022
238191.67.180.0/22191.67.180.1 to 191.67.183.254191.67.183.2551,022
239191.67.184.0/22191.67.184.1 to 191.67.187.254191.67.187.2551,022
240191.67.188.0/22191.67.188.1 to 191.67.191.254191.67.191.2551,022
241191.67.192.0/22191.67.192.1 to 191.67.195.254191.67.195.2551,022
242191.67.196.0/22191.67.196.1 to 191.67.199.254191.67.199.2551,022
243191.67.200.0/22191.67.200.1 to 191.67.203.254191.67.203.2551,022
244191.67.204.0/22191.67.204.1 to 191.67.207.254191.67.207.2551,022
245191.67.208.0/22191.67.208.1 to 191.67.211.254191.67.211.2551,022
246191.67.212.0/22191.67.212.1 to 191.67.215.254191.67.215.2551,022
247191.67.216.0/22191.67.216.1 to 191.67.219.254191.67.219.2551,022
248191.67.220.0/22191.67.220.1 to 191.67.223.254191.67.223.2551,022
249191.67.224.0/22191.67.224.1 to 191.67.227.254191.67.227.2551,022
250191.67.228.0/22191.67.228.1 to 191.67.231.254191.67.231.2551,022
251191.67.232.0/22191.67.232.1 to 191.67.235.254191.67.235.2551,022
252191.67.236.0/22191.67.236.1 to 191.67.239.254191.67.239.2551,022
253191.67.240.0/22191.67.240.1 to 191.67.243.254191.67.243.2551,022
254191.67.244.0/22191.67.244.1 to 191.67.247.254191.67.247.2551,022
255191.67.248.0/22191.67.248.1 to 191.67.251.254191.67.251.2551,022
256191.67.252.0/22191.67.252.1 to 191.67.255.254191.67.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses